ARG php_version

FROM php:7.2-apache
RUN curl -sL https://deb.nodesource.com/setup_14.x -o nodesource_setup.sh && bash nodesource_setup.sh && apt-get -y --force-yes install nodejs
RUN apt-get update && apt-get install -y \
    git \
    ssh \
    curl \
    libpng-dev \
    libonig-dev \
    libxml2-dev \
    zip \
    wget \    
    unzip
# install manually all the missing libraries
RUN apt-get install -y gconf-service libasound2 libatk1.0-0 libcairo2 libcups2 libfontconfig1 libgdk-pixbuf2.0-0 libgtk-3-0 libnspr4 libpango-1.0-0 libxss1 fonts-liberation libappindicator1 libnss3 lsb-release xdg-utils

# install chrome
RUN wget https://dl.google.com/linux/direct/google-chrome-stable_current_amd64.deb
RUN dpkg -i google-chrome-stable_current_amd64.deb; apt-get -fy install
RUN docker-php-ext-install mbstring
RUN docker-php-ext-install zip
RUN docker-php-ext-install gd
RUN yes | pecl install xdebug-3.1.5 
# Install Composer
RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
# Authorize SSH Host
RUN mkdir -p /root/.ssh && \
    chmod 0600 /root/.ssh
RUN chmod -R 777 /var/www/html 

COPY ./conf/000-default.conf /etc/apache2/sites-available
COPY ./conf/ext-xdebug.ini /usr/local/etc/php/conf.d/xdebug.ini
RUN docker-php-ext-install mysqli pdo pdo_mysql
RUN a2enmod rewrite
